package cmd

import (
  "github.com/spf13/cobra"
  "github.com/spf13/viper"

	"git.metaunix.net/BitGoblin/adept/transcoder"
)

// initializes the sub-command
func init() {
  rootCmd.AddCommand(setupCmd)
}

var setupCmd = &cobra.Command{
  Use:   "setup",
  Short: "Initialize the video directories.",
  Long:  `Adept can't run gif it doesn't have a place to ingest/transcode files from.`,
  Run: func(cmd *cobra.Command, args []string) {
    // initialize the video repository
    r := transcoder.NewRepository(viper.GetString("transcoder.repository"))
		r.Setup()
  },
}
