package main

import (
  "git.metaunix.net/BitGoblin/adept/cmd"
  "git.metaunix.net/BitGoblin/adept/config"
)

// start the app - that's where all the good stuff happens
func main() {
  // load configuration via Viper
  config.LoadConfig()

  // configure our app logging
  logHandle := config.InitLogging()
  if logHandle != nil {
    defer logHandle.Close()
  }

  // launch the Cobra CLI framework
  cmd.Execute()
}
